diff --git a/dirsrvtests/tests/suites/rootdn_plugin/rootdn_plugin_test.py b/dirsrvtests/tests/suites/rootdn_plugin/rootdn_plugin_test.py
index a904644..131d13c 100644
--- a/dirsrvtests/tests/suites/rootdn_plugin/rootdn_plugin_test.py
+++ b/dirsrvtests/tests/suites/rootdn_plugin/rootdn_plugin_test.py
@@ -1,5 +1,5 @@
 # --- BEGIN COPYRIGHT BLOCK ---
-# Copyright (C) 2015 Red Hat, Inc.
+# Copyright (C) 2016 Red Hat, Inc.
 # All rights reserved.
 #
 # License: GPL (version 3 or any later version).
@@ -22,46 +22,11 @@ from lib389.tasks import *
 logging.getLogger(__name__).setLevel(logging.DEBUG)
 log = logging.getLogger(__name__)
 
-installation1_prefix = None
-
 PLUGIN_DN = 'cn=' + PLUGIN_ROOTDN_ACCESS + ',cn=plugins,cn=config'
 USER1_DN = 'uid=user1,' + DEFAULT_SUFFIX
 
 
-class TopologyStandalone(object):
-    def __init__(self, standalone):
-        standalone.open()
-        self.standalone = standalone
-
-
-@pytest.fixture(scope="module")
-def topology(request):
-    global installation1_prefix
-    if installation1_prefix:
-        args_instance[SER_DEPLOYED_DIR] = installation1_prefix
-
-    # Creating standalone instance ...
-    standalone = DirSrv(verbose=False)
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_instance[SER_CREATION_SUFFIX] = DEFAULT_SUFFIX
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-    instance_standalone = standalone.exists()
-    if instance_standalone:
-        standalone.delete()
-    standalone.create()
-    standalone.open()
-
-    def fin():
-        standalone.delete()
-    request.addfinalizer(fin)
-
-    return TopologyStandalone(standalone)
-
-
-def test_rootdn_init(topology):
+def test_rootdn_init(topology_st):
     '''
     Initialize our setup to test the ROot DN Access Control Plugin
 
@@ -85,7 +50,7 @@ def test_rootdn_init(topology):
     ACI = ('(target ="ldap:///cn=config")(targetattr = "*")(version 3.0' +
            ';acl "all access";allow (all)(userdn="ldap:///anyone");)')
     try:
-        topology.standalone.modify_s(DN_CONFIG, [(ldap.MOD_ADD, 'aci', ACI)])
+        topology_st.standalone.modify_s(DN_CONFIG, [(ldap.MOD_ADD, 'aci', ACI)])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_init: Failed to add aci to config: error ' +
                   e.message['desc'])
@@ -95,7 +60,7 @@ def test_rootdn_init(topology):
     # Create a user to modify the config
     #
     try:
-        topology.standalone.add_s(Entry((USER1_DN, {'objectclass': "top extensibleObject".split(),
+        topology_st.standalone.add_s(Entry((USER1_DN, {'objectclass': "top extensibleObject".split(),
                                  'uid': 'user1',
                                  'userpassword': PASSWORD})))
     except ldap.LDAPError as e:
@@ -107,7 +72,7 @@ def test_rootdn_init(topology):
     # Enable dynamic plugins
     #
     try:
-        topology.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-dynamic-plugins', 'on')])
+        topology_st.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-dynamic-plugins', 'on')])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_init: Failed to set dynamic plugins: error ' + e.message['desc'])
         assert False
@@ -115,12 +80,12 @@ def test_rootdn_init(topology):
     #
     # Enable the plugin (aftewr enabling dynamic plugins)
     #
-    topology.standalone.plugins.enable(PLUGIN_ROOTDN_ACCESS)
+    topology_st.standalone.plugins.enable(PLUGIN_ROOTDN_ACCESS)
 
     log.info('test_rootdn_init: Initialized root DN test suite.')
 
 
-def test_rootdn_access_specific_time(topology):
+def test_rootdn_access_specific_time(topology_st):
     '''
     Test binding inside and outside of a specific time
     '''
@@ -137,7 +102,7 @@ def test_rootdn_access_specific_time(topology):
         close_time = '1800'
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD, 'rootdn-open-time', open_time),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD, 'rootdn-open-time', open_time),
                                   (ldap.MOD_ADD, 'rootdn-close-time', close_time)])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_specific_time: Failed to set (blocking) open/close times: error ' +
@@ -148,7 +113,7 @@ def test_rootdn_access_specific_time(topology):
     # Bind as Root DN - should fail
     #
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
         succeeded = True
     except ldap.LDAPError as e:
         succeeded = False
@@ -161,13 +126,13 @@ def test_rootdn_access_specific_time(topology):
     # Set config to allow the entire day
     #
     try:
-        topology.standalone.simple_bind_s(USER1_DN, PASSWORD)
+        topology_st.standalone.simple_bind_s(USER1_DN, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_specific_time: test_rootdn: failed to bind as user1')
         assert False
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '0000'),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '0000'),
                                   (ldap.MOD_REPLACE, 'rootdn-close-time', '2359')])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_specific_time: Failed to set (open) open/close times: error ' +
@@ -175,7 +140,7 @@ def test_rootdn_access_specific_time(topology):
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_specific_time: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -185,7 +150,7 @@ def test_rootdn_access_specific_time(topology):
     # Cleanup - undo the changes we made so the next test has a clean slate
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-open-time', None),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-open-time', None),
                                                  (ldap.MOD_DELETE, 'rootdn-close-time', None)])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_specific_time: Failed to delete open and close time: error ' +
@@ -193,7 +158,7 @@ def test_rootdn_access_specific_time(topology):
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_specific_time: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -202,7 +167,7 @@ def test_rootdn_access_specific_time(topology):
     log.info('test_rootdn_access_specific_time: PASSED')
 
 
-def test_rootdn_access_day_of_week(topology):
+def test_rootdn_access_day_of_week(topology_st):
     '''
     Test the days of week feature
     '''
@@ -231,7 +196,7 @@ def test_rootdn_access_day_of_week(topology):
     # Set the deny days
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed',
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed',
                                      deny_days)])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_day_of_week: Failed to set the deny days: error ' +
@@ -242,7 +207,7 @@ def test_rootdn_access_day_of_week(topology):
     # Bind as Root DN - should fail
     #
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
         succeeded = True
     except ldap.LDAPError as e:
         succeeded = False
@@ -255,13 +220,13 @@ def test_rootdn_access_day_of_week(topology):
     # Set the allow days
     #
     try:
-        topology.standalone.simple_bind_s(USER1_DN, PASSWORD)
+        topology_st.standalone.simple_bind_s(USER1_DN, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_day_of_week: : failed to bind as user1')
         assert False
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed',
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed',
                                      allow_days)])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_day_of_week: Failed to set the deny days: error ' +
@@ -269,7 +234,7 @@ def test_rootdn_access_day_of_week(topology):
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_day_of_week: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -279,14 +244,14 @@ def test_rootdn_access_day_of_week(topology):
     # Cleanup - undo the changes we made so the next test has a clean slate
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-days-allowed', None)])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-days-allowed', None)])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_day_of_week: Failed to set rootDN plugin config: error ' +
                   e.message['desc'])
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_day_of_week: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -295,7 +260,7 @@ def test_rootdn_access_day_of_week(topology):
     log.info('test_rootdn_access_day_of_week: PASSED')
 
 
-def test_rootdn_access_denied_ip(topology):
+def test_rootdn_access_denied_ip(topology_st):
     '''
     Test denied IP feature - we can just test denying 127.0.01
     '''
@@ -303,7 +268,7 @@ def test_rootdn_access_denied_ip(topology):
     log.info('Running test_rootdn_access_denied_ip...')
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE,
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE,
                                                   'rootdn-deny-ip',
                                                   '127.0.0.1'),
                                                  (ldap.MOD_ADD,
@@ -318,7 +283,7 @@ def test_rootdn_access_denied_ip(topology):
     # Bind as Root DN - should fail
     #
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
         succeeded = True
     except ldap.LDAPError as e:
         succeeded = False
@@ -331,20 +296,20 @@ def test_rootdn_access_denied_ip(topology):
     # Change the denied IP so root DN succeeds
     #
     try:
-        topology.standalone.simple_bind_s(USER1_DN, PASSWORD)
+        topology_st.standalone.simple_bind_s(USER1_DN, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_denied_ip: : failed to bind as user1')
         assert False
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-deny-ip', '255.255.255.255')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-deny-ip', '255.255.255.255')])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_denied_ip: Failed to set rootDN plugin config: error ' +
                   e.message['desc'])
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_denied_ip: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -354,14 +319,14 @@ def test_rootdn_access_denied_ip(topology):
     # Cleanup - undo the changes we made so the next test has a clean slate
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-deny-ip', None)])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-deny-ip', None)])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_denied_ip: Failed to set rootDN plugin config: error ' +
                   e.message['desc'])
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_denied_ip: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -370,7 +335,7 @@ def test_rootdn_access_denied_ip(topology):
     log.info('test_rootdn_access_denied_ip: PASSED')
 
 
-def test_rootdn_access_denied_host(topology):
+def test_rootdn_access_denied_host(topology_st):
     '''
     Test denied Host feature - we can just test denying localhost
     '''
@@ -379,10 +344,10 @@ def test_rootdn_access_denied_host(topology):
     hostname = socket.gethostname()
     localhost = DirSrvTools.getLocalhost()
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD,
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD,
                                                   'rootdn-deny-host',
                                                   hostname)])
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD,
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD,
                                                   'rootdn-deny-host',
                                                   localhost)])
     except ldap.LDAPError as e:
@@ -394,7 +359,7 @@ def test_rootdn_access_denied_host(topology):
     # Bind as Root DN - should fail
     #
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
         succeeded = True
     except ldap.LDAPError as e:
         succeeded = False
@@ -407,20 +372,20 @@ def test_rootdn_access_denied_host(topology):
     # Change the denied host so root DN succeeds
     #
     try:
-        topology.standalone.simple_bind_s(USER1_DN, PASSWORD)
+        topology_st.standalone.simple_bind_s(USER1_DN, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_denied_host: : failed to bind as user1')
         assert False
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-deny-host', 'i.dont.exist.com')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-deny-host', 'i.dont.exist.com')])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_denied_host: Failed to set rootDN plugin config: error ' +
                   e.message['desc'])
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_denied_host: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -430,14 +395,14 @@ def test_rootdn_access_denied_host(topology):
     # Cleanup - undo the changes we made so the next test has a clean slate
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-deny-host', None)])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-deny-host', None)])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_denied_host: Failed to set rootDN plugin config: error ' +
                   e.message['desc'])
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_denied_host: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -446,7 +411,7 @@ def test_rootdn_access_denied_host(topology):
     log.info('test_rootdn_access_denied_host: PASSED')
 
 
-def test_rootdn_access_allowed_ip(topology):
+def test_rootdn_access_allowed_ip(topology_st):
     '''
     Test allowed ip feature
     '''
@@ -457,7 +422,7 @@ def test_rootdn_access_allowed_ip(topology):
     # Set allowed host to an unknown host - blocks the Root DN
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-allow-ip', '255.255.255.255')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-allow-ip', '255.255.255.255')])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_allowed_ip: Failed to set allowed host: error ' +
                   e.message['desc'])
@@ -467,7 +432,7 @@ def test_rootdn_access_allowed_ip(topology):
     # Bind as Root DN - should fail
     #
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
         succeeded = True
     except ldap.LDAPError as e:
         succeeded = False
@@ -480,13 +445,13 @@ def test_rootdn_access_allowed_ip(topology):
     # Allow localhost
     #
     try:
-        topology.standalone.simple_bind_s(USER1_DN, PASSWORD)
+        topology_st.standalone.simple_bind_s(USER1_DN, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_allowed_ip: : failed to bind as user1')
         assert False
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-allow-ip', '127.0.0.1'),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-allow-ip', '127.0.0.1'),
                                   (ldap.MOD_ADD, 'rootdn-allow-ip', '::1')])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_allowed_ip: Failed to set allowed host: error ' +
@@ -494,7 +459,7 @@ def test_rootdn_access_allowed_ip(topology):
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_allowed_ip: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -504,14 +469,14 @@ def test_rootdn_access_allowed_ip(topology):
     # Cleanup - undo everything we did so the next test has a clean slate
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-allow-ip', None)])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-allow-ip', None)])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_allowed_ip: Failed to delete(rootdn-allow-ip): error ' +
                   e.message['desc'])
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_allowed_ip: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -520,7 +485,7 @@ def test_rootdn_access_allowed_ip(topology):
     log.info('test_rootdn_access_allowed_ip: PASSED')
 
 
-def test_rootdn_access_allowed_host(topology):
+def test_rootdn_access_allowed_host(topology_st):
     '''
     Test allowed ip feature
     '''
@@ -531,7 +496,7 @@ def test_rootdn_access_allowed_host(topology):
     # Set allowed host to an unknown host - blocks the Root DN
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-allow-host', 'i.dont.exist.com')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-allow-host', 'i.dont.exist.com')])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_allowed_host: Failed to set allowed host: error ' +
                   e.message['desc'])
@@ -541,7 +506,7 @@ def test_rootdn_access_allowed_host(topology):
     # Bind as Root DN - should fail
     #
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
         succeeded = True
     except ldap.LDAPError as e:
         succeeded = False
@@ -554,7 +519,7 @@ def test_rootdn_access_allowed_host(topology):
     # Allow localhost
     #
     try:
-        topology.standalone.simple_bind_s(USER1_DN, PASSWORD)
+        topology_st.standalone.simple_bind_s(USER1_DN, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_allowed_host: : failed to bind as user1')
         assert False
@@ -562,10 +527,10 @@ def test_rootdn_access_allowed_host(topology):
     hostname = socket.gethostname()
     localhost = DirSrvTools.getLocalhost()
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD,
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD,
                                                   'rootdn-allow-host',
                                                   localhost)])
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD,
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD,
                                                   'rootdn-allow-host',
                                                   hostname)])
     except ldap.LDAPError as e:
@@ -574,7 +539,7 @@ def test_rootdn_access_allowed_host(topology):
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_allowed_host: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -584,14 +549,14 @@ def test_rootdn_access_allowed_host(topology):
     # Cleanup - undo everything we did so the next test has a clean slate
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-allow-host', None)])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_DELETE, 'rootdn-allow-host', None)])
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_allowed_host: Failed to delete(rootdn-allow-host): error ' +
                   e.message['desc'])
         assert False
 
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_rootdn_access_allowed_host: Root DN bind failed unexpectedly failed: error ' +
                   e.message['desc'])
@@ -600,7 +565,7 @@ def test_rootdn_access_allowed_host(topology):
     log.info('test_rootdn_access_allowed_host: PASSED')
 
 
-def test_rootdn_config_validate(topology):
+def test_rootdn_config_validate(topology_st):
     '''
     Test configuration validation
 
@@ -616,14 +581,14 @@ def test_rootdn_config_validate(topology):
     # Test rootdn-open-time
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '0000')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '0000')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to just add "rootdn-open-time" ')
         assert False
     except ldap.LDAPError:
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD, 'rootdn-open-time', '0000'),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD, 'rootdn-open-time', '0000'),
                                   (ldap.MOD_ADD, 'rootdn-open-time', '0001')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add multiple "rootdn-open-time"')
         assert False
@@ -631,7 +596,7 @@ def test_rootdn_config_validate(topology):
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '-1'),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '-1'),
                                   (ldap.MOD_REPLACE, 'rootdn-close-time', '0000')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-open-time: -1"')
         assert False
@@ -639,7 +604,7 @@ def test_rootdn_config_validate(topology):
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '2400'),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '2400'),
                                   (ldap.MOD_REPLACE, 'rootdn-close-time', '0000')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-open-time: 2400"')
         assert False
@@ -647,7 +612,7 @@ def test_rootdn_config_validate(topology):
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', 'aaaaa'),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', 'aaaaa'),
                                   (ldap.MOD_REPLACE, 'rootdn-close-time', '0000')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-open-time: aaaaa"')
         assert False
@@ -658,14 +623,14 @@ def test_rootdn_config_validate(topology):
     # Test rootdn-close-time
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-close-time', '0000')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-close-time', '0000')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add just "rootdn-close-time"')
         assert False
     except ldap.LDAPError:
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD, 'rootdn-close-time', '0000'),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD, 'rootdn-close-time', '0000'),
                                   (ldap.MOD_ADD, 'rootdn-close-time', '0001')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add multiple "rootdn-open-time"')
         assert False
@@ -673,7 +638,7 @@ def test_rootdn_config_validate(topology):
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '0000'),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '0000'),
                                   (ldap.MOD_REPLACE, 'rootdn-close-time', '-1')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-close-time: -1"')
         assert False
@@ -681,7 +646,7 @@ def test_rootdn_config_validate(topology):
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '0000'),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '0000'),
                                   (ldap.MOD_REPLACE, 'rootdn-close-time', '2400')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-close-time: 2400"')
         assert False
@@ -689,7 +654,7 @@ def test_rootdn_config_validate(topology):
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '0000'),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-open-time', '0000'),
                                   (ldap.MOD_REPLACE, 'rootdn-close-time', 'aaaaa')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-close-time: aaaaa"')
         assert False
@@ -700,7 +665,7 @@ def test_rootdn_config_validate(topology):
     # Test days allowed
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD, 'rootdn-days-allowed', 'Mon'),
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_ADD, 'rootdn-days-allowed', 'Mon'),
                                   (ldap.MOD_ADD, 'rootdn-days-allowed', 'Tue')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add two "rootdn-days-allowed"')
         assert False
@@ -708,28 +673,28 @@ def test_rootdn_config_validate(topology):
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed', 'Mon1')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed', 'Mon1')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-days-allowed: Mon1"')
         assert False
     except ldap.LDAPError:
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed', 'Tue, Mon1')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed', 'Tue, Mon1')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-days-allowed: Tue, Mon1"')
         assert False
     except ldap.LDAPError:
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed', 'm111m')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed', 'm111m')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-days-allowed: 111"')
         assert False
     except ldap.LDAPError:
         pass
 
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed', 'Gur')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-days-allowed', 'Gur')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-days-allowed: Gur"')
         assert False
     except ldap.LDAPError:
@@ -739,7 +704,7 @@ def test_rootdn_config_validate(topology):
     # Test allow ips
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-allow-ip', '12.12.Z.12')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-allow-ip', '12.12.Z.12')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-allow-ip: 12.12.Z.12"')
         assert False
     except ldap.LDAPError:
@@ -749,7 +714,7 @@ def test_rootdn_config_validate(topology):
     # Test deny ips
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-deny-ip', '12.12.Z.12')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-deny-ip', '12.12.Z.12')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-deny-ip: 12.12.Z.12"')
         assert False
     except ldap.LDAPError:
@@ -759,7 +724,7 @@ def test_rootdn_config_validate(topology):
     # Test allow hosts
     #
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-allow-host', 'host._.com')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'rootdn-allow-host', 'host._.com')])
         log.fatal('test_rootdn_config_validate: Incorrectly allowed to add invalid "rootdn-allow-host: host._.com"')
         assert False
     except ldap.LDAPError:
